import * as React from 'react';
export interface FilterSidePanelCategoryProps extends Omit<React.HTMLProps<HTMLFormElement>, 'title'> {
    /** Children nodes */
    children?: React.ReactNode;
    /** Additional css classes for the Filter Side Panel Category */
    className?: string;
    /** Title for the category */
    title?: string | React.ReactNode;
    /** Number of items (max) to show before adding Show More link button */
    maxShowCount?: number;
    /** Leeway to add to maxShowCount, minimum X for the 'Show X more' */
    leeway?: number;
    /** Flag to show all items (ie. set to true after Show X more link is clicked) */
    showAll?: boolean;
    /** Callback function when the Show/Hide link button is clicked */
    onShowAllToggle?: (event: React.SyntheticEvent<HTMLElement>) => void;
    /** Text for the link to show all items, default 'Show <x> more' */
    showText?: string;
    /** Text for the link to hide overflow items, default 'Show less' */
    hideText?: string;
}
export declare const FilterSidePanelCategory: React.FunctionComponent<FilterSidePanelCategoryProps>;
export default FilterSidePanelCategory;
//# sourceMappingURL=FilterSidePanelCategory.d.ts.map