"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterSidePanelCategoryItem = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_styles_1 = require("@patternfly/react-styles");
const react_core_1 = require("@patternfly/react-core");
const util_1 = require("../../helpers/util");
exports.FilterSidePanelCategoryItem = (_a) => {
    var { children = null, className = '', icon = null, count = null, onClick = null, checked = false, title = '' } = _a, props = tslib_1.__rest(_a, ["children", "className", "icon", "count", "onClick", "checked", "title"]);
    const classes = react_styles_1.css('filter-panel-pf-category-item', className);
    const label = (React.createElement(React.Fragment, null,
        icon && React.createElement("span", { className: "item-icon" }, icon),
        children,
        Number.isInteger(count) && React.createElement("span", { className: "item-count" }, `(${count})`)));
    return (React.createElement("div", Object.assign({ className: classes }, props),
        React.createElement(react_core_1.Checkbox, { onClick: onClick, checked: checked, id: util_1.getUniqueId(), label: label, title: title })));
};
exports.FilterSidePanelCategoryItem.displayName = 'FilterSidePanelCategoryItem';
exports.default = exports.FilterSidePanelCategoryItem;
//# sourceMappingURL=FilterSidePanelCategoryItem.js.map