import * as React from 'react';
export interface VerticalTabsTabProps extends Omit<React.HTMLProps<HTMLLIElement>, 'title'> {
    /** Child tab nodes (VerticalTabsTab's) */
    children?: React.ReactNode;
    /** Additional css classes */
    className?: string;
    /** Title for the tab */
    title?: string | React.ReactNode;
    /** Title wrap style */
    wrapStyle?: 'wrap' | 'truncate' | 'nowrap';
    /** Flag if this is the active tab */
    active?: boolean;
    /** Flag if a descendant tab is active (used only in restrictTabs mode) */
    hasActiveDescendant?: boolean;
    /** Flag to force show the tab (if parent tab is shown, used only in restrictTabs mode) */
    shown?: boolean;
    /** Callback function when the tab is activated */
    onActivate?: () => void;
}
export declare const VerticalTabsTab: React.FunctionComponent<VerticalTabsTabProps>;
//# sourceMappingURL=VerticalTabsTab.d.ts.map