"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalTabsTab = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_styles_1 = require("@patternfly/react-styles");
exports.VerticalTabsTab = (_a) => {
    var { children = null, className = '', title = null, wrapStyle = 'wrap', active = false, hasActiveDescendant = false, shown = false, onActivate = null } = _a, props = tslib_1.__rest(_a, ["children", "className", "title", "wrapStyle", "active", "hasActiveDescendant", "shown", "onActivate"]);
    const classes = react_styles_1.css('vertical-tabs-pf-tab', { active, 'active-descendant': hasActiveDescendant, shown }, className);
    const linkClasses = react_styles_1.css({
        'no-wrap': wrapStyle === 'nowrap',
        truncate: wrapStyle === 'truncate'
    });
    const handleActivate = (e) => {
        e.preventDefault();
        if (onActivate) {
            onActivate();
        }
    };
    return (React.createElement("li", Object.assign({ className: classes }, props),
        React.createElement("a", { className: linkClasses, onClick: e => handleActivate(e), href: "#" }, title),
        children));
};
exports.VerticalTabsTab.displayName = 'VerticalTabsTab';
//# sourceMappingURL=VerticalTabsTab.js.map