"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.childrenToArray = exports.getUniqueId = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
/**
 * @param {string} prefix - String to prefix unique ID with
 */
function getUniqueId(prefix = 'pf') {
    const uid = new Date().getTime() +
        Math.random()
            .toString(36)
            .slice(2);
    return `${prefix}-${uid}`;
}
exports.getUniqueId = getUniqueId;
/**
 * Returns the given React children prop as a regular array of React nodes.
 *
 * @param {React.ReactNode} children - Child react node
 */
exports.childrenToArray = (children) => children && React.Children.count(children) > 0 && React.Children.toArray(children);
//# sourceMappingURL=util.js.map